2016-08-24 13:57 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001915MPDInput Plugins - Filepublic2009-01-04 16:03
Reporterwiskas 
Assigned Tocirrus 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionnot fixable 
Product Version0.14 
Target VersionFixed in Version 
Summary0001915: crash when playing an msadpcm file with libasound
DescriptionWhen playing this file - http://www.2shared.com/file/4546835/ad5856f/max_theme.html - mpd crashes. A backtrace is attached.
TagsNo tags attached.
Attached Files
  • txt file icon backtrace.txt (10,045 bytes) 2008-12-30 13:12 -
    *** glibc detected *** /home/wiskas/src/mpd-0.14~beta3/src/mpd: munmap_chunk(): invalid pointer: 0x08875640 ***
    ======= Backtrace: =========
    /usr/lib/debug/libc.so.6[0xb7cf5235]
    /usr/lib/debug/libc.so.6[0xb7cf62c9]
    /usr/lib/libaudiofile.so.0[0x430aa9df]
    /usr/lib/libaudiofile.so.0[0x430ab24e]
    /usr/lib/libaudiofile.so.0(afSeekFrame+0xa2)[0x430990c2]
    /home/wiskas/src/mpd-0.14~beta3/src/mpd[0x806a4f5]
    /home/wiskas/src/mpd-0.14~beta3/src/mpd[0x8052933]
    /home/wiskas/src/mpd-0.14~beta3/src/mpd[0x8052c65]
    /usr/lib/debug/libpthread.so.0[0xb7dcff6b]
    /usr/lib/debug/libc.so.6(clone+0x5e)[0xb7d55c3e]
    ======= Memory map: ========
    08048000-08078000 r-xp 00000000 08:03 7963063    /home/wiskas/src/mpd-0.14~beta3/src/mpd
    08078000-0807a000 rw-p 0002f000 08:03 7963063    /home/wiskas/src/mpd-0.14~beta3/src/mpd
    0807a000-0807f000 rw-p 0807a000 00:00 0 
    087a2000-088a8000 rw-p 087a2000 00:00 0          [heap]
    423ee000-423fc000 r-xp 00000000 08:01 253099     /usr/lib/libmpcdec.so.3.1.1
    423fc000-423fd000 rw-p 0000d000 08:01 253099     /usr/lib/libmpcdec.so.3.1.1
    42e01000-42e1b000 r-xp 00000000 08:01 293779     /usr/lib/libvorbis.so.0.4.0
    42e1b000-42e29000 rw-p 0001a000 08:01 293779     /usr/lib/libvorbis.so.0.4.0
    42e2b000-42e32000 r-xp 00000000 08:01 257935     /usr/lib/libvorbisfile.so.3.2.0
    42e32000-42e33000 rw-p 00006000 08:01 257935     /usr/lib/libvorbisfile.so.3.2.0
    42fc8000-43085000 r-xp 00000000 08:01 249987     /usr/lib/libasound.so.2.0.0
    43085000-4308a000 rw-p 000bc000 08:01 249987     /usr/lib/libasound.so.2.0.0
    4308c000-43090000 r-xp 00000000 08:01 293769     /usr/lib/libogg.so.0.5.3
    43090000-43091000 rw-p 00003000 08:01 293769     /usr/lib/libogg.so.0.5.3
    43093000-430b3000 r-xp 00000000 08:01 245799     /usr/lib/libaudiofile.so.0.0.2
    430b3000-430b6000 rw-p 0001f000 08:01 245799     /usr/lib/libaudiofile.so.0.0.2
    4b4ab000-4b613000 r-xp 00000000 08:01 254636     /usr/lib/libsamplerate.so.0.1.4
    4b613000-4b614000 rw-p 00167000 08:01 254636     /usr/lib/libsamplerate.so.0.1.4
    b5ed1000-b5edd000 r-xp 00000000 08:01 1237889    /lib/libgcc_s.so.1
    b5edd000-b5ede000 rw-p 0000b000 08:01 1237889    /lib/libgcc_s.so.1
    b5ef6000-b5f06000 rw-s 00000000 00:07 851968012  /SYSV00000801 (deleted)
    b5f06000-b5f0e000 rw-s 00000000 00:0c 2399       /dev/snd/pcmC0D0p
    b5f0e000-b5f0f000 rw-s 81000000 00:0c 2399       /dev/snd/pcmC0D0p
    b5f0f000-b5f10000 r--s 80000000 00:0c 2399       /dev/snd/pcmC0D0p
    b5f10000-b5f11000 rw-s 00000000 00:07 851935243  /SYSV00000800 (deleted)
    b5f11000-b5f12000 ---p b5f11000 00:00 0 
    b5f12000-b6713000 rw-p b5f12000 00:00 0 
    b6713000-b6714000 ---p b6713000 00:00 0 
    b6714000-b6f13000 rw-p b6714000 00:00 0 
    b6f13000-b6f14000 ---p b6f13000 00:00 0 
    b6f14000-b795b000 rw-p b6f14000 00:00 0 
    b795b000-b7964000 r-xp 00000000 08:01 689666     /usr/lib/debug/libnss_files-2.8.so
    b7964000-b7965000 r--p 00008000 08:01 689666     /usr/lib/debug/libnss_files-2.8.so
    b7965000-b7966000 rw-p 00009000 08:01 689666     /usr/lib/debug/libnss_files-2.8.so
    b7966000-b796e000 r-xp 00000000 08:01 689660     /usr/lib/debug/libnss_nis-2.8.so
    b796e000-b796f000 r--p 00007000 08:01 689660     /usr/lib/debug/libnss_nis-2.8.so
    b796f000-b7970000 rw-p 00008000 08:01 689660     /usr/lib/debug/libnss_nis-2.8.so
    b7970000-b7a55000 r--p 00127000 08:01 603390     /usr/lib/locale/locale-archive
    b7a55000-b7c55000 r--p 00000000 08:01 603390     /usr/lib/locale/locale-archive
    b7c55000-b7c57000 rw-p b7c55000 00:00 0 
    b7c57000-b7c85000 r-xp 00000000 08:01 247953     /usr/lib/libpcre.so.3.12.1
    b7c85000-b7c86000 rw-p 0002d000 08:01 247953     /usr/lib/libpcre.so.3.12.1
    b7c86000-b7c88000 r-xp 00000000 08:01 690004     /usr/lib/debug/libdl-2.8.so
    b7c88000-b7c89000 r--p 00001000 08:01 690004     /usr/lib/debug/libdl-2.8.so
    b7c89000-b7c8a000 rw-p 00002000 08:01 690004     /usr/lib/debug/libdl-2.8.so
    b7c8a000-b7dc4000 r-xp 00000000 08:01 689656     /usr/lib/debug/libc-2.8.so
    b7dc4000-b7dc6000 r--p 0013a000 08:01 689656     /usr/lib/debug/libc-2.8.so
    b7dc6000-b7dc7000 rw-p 0013c000 08:01 689656     /usr/lib/debug/libc-2.8.so
    b7dc7000-b7dca000 rw-p b7dc7000 00:00 0 
    b7dca000-b7dde000 r-xp 00000000 08:01 689653     /usr/lib/debug/libpthread-2.8.so
    b7dde000-b7ddf000 r--p 00013000 08:01 689653     /usr/lib/debug/libpthread-2.8.so
    b7ddf000-b7de0000 rw-p 00014000 08:01 689653     /usr/lib/debug/libpthread-2.8.so
    b7de0000-b7de2000 rw-p b7de0000 00:00 0 
    b7de2000-b7e96000 r-xp 00000000 08:01 248681     /usr/lib/libglib-2.0.so.0.1800.0
    b7e96000-b7e97000 rw-p 000b4000 08:01 248681     /usr/lib/libglib-2.0.so.0.1800.0
    b7e97000-b7e98000 rw-p b7e97000 00:00 0 
    b7e98000-b7e9f000 r-xp 00000000 08:01 690013     /usr/lib/debug/librt-2.8.so
    b7e9f000-b7ea0000 r--p 00006000 08:01 690013     /usr/lib/debug/librt-2.8.so
    b7ea0000-b7ea1000 rw-p 00007000 08:01 690013     /usr/lib/debug/librt-2.8.so
    b7ea1000-b7ea5000 r-xp 00000000 08:01 250823     /usr/lib/libgthread-2.0.so.0.1800.0
    b7ea5000-b7ea6000 rw-p 00003000 08:01 250823     /usr/lib/libgthread-2.0.so.0.1800.0
    b7ea6000-b7ebc000 r-xp 00000000 08:01 293601     /usr/lib/libmad.so.0.2.1
    b7ebc000-b7ebd000 rw-p 00015000 08:01 293601     /usr/lib/libmad.so.0.2.1
    b7ebd000-b7ebe000 rw-p b7ebd000 00:00 0 
    b7ebe000-b7efa000 r-xp 00000000 08:01 251383     /usr/lib/libfaad.so.0.0.0
    b7efa000-b7efd000 rw-p 0003b000 08:01 251383     /usr/lib/libfaad.so.0.0.0
    b7efd000-b7f3f000 r-xp 00000000 08:01 246263     /usr/lib/libmp3lame.so.0.0.0
    b7f3f000-b7f41000 rw-p 00042000 08:01 246263     /usr/lib/libmp3lame.so.0.0.0
    b7f41000-b7f73000 rw-p b7f41000 00:00 0 
    b7f7b000-b7f82000 r-xp 00000000 08:01 689652     /usr/lib/debug/libnss_compat-2.8.so
    b7f82000-b7f83000 r--p 00006000 08:01 689652     /usr/lib/debug/libnss_compat-2.8.so
    b7f83000-b7f84000 rw-p 00007000 08:01 689652     /usr/lib/debug/libnss_compat-2.8.so
    b7f84000-b7f8b000 r--s 00000000 08:01 246638     /usr/lib/gconv/gconv-modules.cache
    b7f8b000-b7faf000 r-xp 00000000 08:01 690010     /usr/lib/debug/libm-2.8.so
    b7faf000-b7fb0000 r--p 00023000 08:01 690010     /usr/lib/debug/libm-2.8.so
    b7fb0000-b7fb1000 rw-p 00024000 08:01 690010     /usr/lib/debug/libm-2.8.so
    b7fb1000-b7fc4000 r-xp 00000000 08:01 689664     /usr/lib/debug/libnsl-2.8.so
    b7fc4000-b7fc5000 r--p 00012000 08:01 689664     /usr/lib/debug/libnsl-2.8.so
    b7fc5000-b7fc6000 rw-p 00013000 08:01 689664     /usr/lib/debug/libnsl-2.8.so
    b7fc6000-b7fca000 rw-p b7fc6000 00:00 0 
    b7fca000-b7fcb000 r-xp b7fca000 00:00 0          [vdso]
    b7fcb000-b7fe5000 r-xp 00000000 08:01 1238106    /lib/ld-2.8.so
    b7fe5000-b7fe7000 rw-p 0001a000 08:01 1238106    /lib/ld-2.8.so
    bffd0000-bffe7000 rw-p bffe9000 00:00 0          [stack]
    
    Program received signal SIGABRT, Aborted.
    [Switching to Thread 0xb7712b90 (LWP 31552)]
    0xb7cb47c6 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
    64  ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
        in ../nptl/sysdeps/unix/sysv/linux/raise.c
    (gdb) thread apply all bt
    
    Thread 4 (Thread 0xb6710b90 (LWP 31554)):
    #0  0xb7dd3920 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/debug/libpthread.so.0
    #1  0x0804cdac in notify_wait (notify=0x8872130) at notify.c:47
    #2  0x0804dd46 in audio_output_task (arg=0x88720a4) at output_thread.c:156
    #3  0xb7dcff6b in start_thread (arg=0xb6710b90) at pthread_create.c:297
    #4  0xb7d55c3e in clone () from /usr/lib/debug/libc.so.6
    
    Thread 3 (Thread 0xb6f12b90 (LWP 31553)):
    #0  0xb7dd3920 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/debug/libpthread.so.0
    #1  0x0804cdac in notify_wait (notify=0x807acc4) at notify.c:47
    #2  0x08052d1c in dc_command_wait (notify=0x807acc4) at decoder_control.c:42
    #3  0x08052db2 in dc_seek (notify=0x807acc4, where=175) at decoder_control.c:50
    #4  0x0805da79 in do_play () at player_thread.c:138
    #5  0x0805e175 in player_task (arg=0x0) at player_thread.c:502
    #6  0xb7dcff6b in start_thread (arg=0xb6f12b90) at pthread_create.c:297
    #7  0xb7d55c3e in clone () from /usr/lib/debug/libc.so.6
    Current language:  auto; currently asm
    
    Thread 2 (Thread 0xb7712b90 (LWP 31552)):
    #0  0xb7cb47c6 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
    #1  0xb7cb5fe8 in *__GI_abort () at abort.c:88
    #2  0xb7cef4dd in __libc_message (do_abort=2, fmt=0xb7dacd00 "*** glibc detected *** %s: %s: 0x%s ***\n")
        at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
    #3  0xb7cf5235 in malloc_printerr (action=2, str=0xb7dacd2c "munmap_chunk(): invalid pointer", ptr=0x8875640) at malloc.c:5949
    #4  0xb7cf62c9 in munmap_chunk (p=0x8875638) at malloc.c:3465
    #5  0x430aa9df in disposemodules (track=<value optimized out>) at ../../libaudiofile/modules.c:2028
    #6  0x430ab24e in _AFsetupmodules (h=<value optimized out>, track=<value optimized out>) at ../../libaudiofile/modules.c:2275
    #7  0x430990c2 in afSeekFrame (file=<value optimized out>, trackid=<value optimized out>, frame=<value optimized out>)
        at ../../libaudiofile/format.c:146
    #8  0x0806a4f5 in audiofile_decode (decoder=0xb7712320, path=0xb7711320 "/home/wiskas/music//albums/misc/max_theme.wav")
        at decoder/audiofile_plugin.c:102
    #9  0x08052933 in decoder_run () at decoder_thread.c:69
    #10 0x08052c65 in decoder_task (arg=0x0) at decoder_thread.c:214
    #11 0xb7dcff6b in start_thread (arg=0xb7712b90) at pthread_create.c:297
    #12 0xb7d55c3e in clone () from /usr/lib/debug/libc.so.6
    
    Thread 1 (Thread 0xb7c558d0 (LWP 31547)):
    #0  0xb7dd3920 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/debug/libpthread.so.0
    #1  0x0804cdac in notify_wait (notify=0x8079460) at notify.c:47
    #2  0x0805a96f in wait_main_task () at main_notify.c:124
    #3  0x0805e2f9 in player_command (cmd=<value optimized out>) at player_control.c:59
    #4  0x0805e353 in playerSeek (song=0x80, seek_time=175) at player_control.c:217
    #5  0x0805f058 in seekSongInPlaylist (song=0, seek_time=175) at playlist.c:1262
    #6  0x08060be3 in readPlaylistState (fp=0x8872190) at playlist.c:289
    #7  0x0806277b in read_state_file () at state_file.c:95
    #8  0x0805a3b5 in main (argc=Cannot access memory at address 0x80
    ) at main.c:449
    Current language:  auto; currently c
    0xb7cb47c6  64  in ../nptl/sysdeps/unix/sysv/linux/raise.c
    
    
    txt file icon backtrace.txt (10,045 bytes) 2008-12-30 13:12 +

-Relationships
+Relationships

-Notes

~0002725

cirrus (administrator)

Unfortunately, this is a bug in libaudiofile. See my bug report in the Debian BTS: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=510205
+Notes

-Issue History
Date Modified Username Field Change
2008-12-30 13:12 wiskas New Issue
2008-12-30 13:12 wiskas Status new => assigned
2008-12-30 13:12 wiskas Assigned To => cirrus
2008-12-30 13:12 wiskas File Added: backtrace.txt
2008-12-30 15:53 cirrus Note Added: 0002725
2008-12-30 15:53 cirrus Status assigned => resolved
2008-12-30 15:53 cirrus Resolution open => not fixable
2009-01-04 16:03 Avuton Olrich Status resolved => closed
+Issue History